/***************************************************************************
 *   Copyright (C) 2010 by Martin Burgemeister, Mathis Lindemann           *
 *     																	   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef UCQDETAILSBAR_H_
#define UCQDETAILSBAR_H_

#include<QLineEdit>
#include<QString>
#include<data/Letter.h>
#include"tools/UCTools.h"
#include"data/TableModel.h"

/**
 * \class UCQDetailsBar
 *
 * \brief Extended QLineEdit that displays the details of the items selected in
 *        the TableView.
 *
 * \author Martin Burgemeister <Martin.Burgemeister@gmx.de>,
 *         Mathis Lindemann <MathisLindemann@gmx.net>
 * \version 1.0
 * \date 16 August 2010
 *
 * \see TableModel
 */
class UCQDetailsBar: public QLineEdit
{

Q_OBJECT

public:
    UCQDetailsBar ( QWidget*, bool = false);

    void setTableModel ( TableModel* );
    void setUtf8(bool);

private:
    /**
     * \brief TableModel to get the infos.
     */
    TableModel* tableModel_;

    /**
     * \brief If true, the bar displays UTF-8 codepoints.
     */
    bool utf8_;


protected slots:
    void changeStatus ( QModelIndexList );
};

#endif /* UCQDETAILSBAR_H_ */
