/***************************************************************************
 *   Copyright (C) 2010 by Martin Burgemeister, Mathis Lindemann           *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "mainwindow/mainwindow.h"
#include <QtGui>
#include <QApplication>
#include <QDebug>

#define TEST

int main ( int argc, char *argv[] )
{
    QApplication a ( argc, argv );
    Q_INIT_RESOURCE(graphics);

    a.setWindowIcon ( QIcon ( ":icons/uc-book.svg" ) );

#if defined(LINUX)
    QDir dir(TRANSLATIONPATH);
#else
    QDir dir(QApplication::applicationDirPath());
#if defined(Q_OS_WIN)
    if (dir.dirName().toLower() == "debug"
            || dir.dirName().toLower() == "release")
        dir.cdUp();


#elif defined(Q_OS_MAC)
    if (dir.dirName() == "MacOS") {
        dir.cdUp();
        dir.cd("Resources");
    }
#endif
	dir.cd("resource");
#endif
    QTranslator qtTranslator;
//    qtTranslator.load ( dir.absolutePath()+ QDir::separator () +
//                        "qt_en_EN");// + QLocale::system ().name () );
    qtTranslator.load ( dir.absolutePath()+ QDir::separator () +
                        "qt_" + QLocale::system ().name () );
    a.installTranslator ( &qtTranslator );

    QTranslator ucTranslator;
//    ucTranslator.load ( dir.absolutePath()+ QDir::separator () +
//                        "uc_en_EN");// + QLocale::system ().name () );
    ucTranslator.load ( dir.absolutePath()+ QDir::separator () +
                            "uc_" + QLocale::system ().name () );
    a.installTranslator ( &ucTranslator );

    MainWindow mw;
    mw.show ();
    return a.exec ();
}
